
From: David Howells <dhowells@redhat.com>

Make fdtable::max_fds unsigned to avoid -Wsign-compare complaining about
fcheck_files().

Signed-Off-By: David Howells <dhowells@redhat.com>
Cc: Dipankar Sarma <dipankar@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/file.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/file.h~files-break-up-files-struct-warning-fix include/linux/file.h
--- 25/include/linux/file.h~files-break-up-files-struct-warning-fix	Wed Jul  6 13:32:50 2005
+++ 25-akpm/include/linux/file.h	Wed Jul  6 13:32:56 2005
@@ -17,7 +17,7 @@
 #define NR_OPEN_DEFAULT BITS_PER_LONG
 
 struct fdtable {
-	int max_fds;
+	unsigned int max_fds;
 	int max_fdset;
 	int next_fd;
 	struct file ** fd;      /* current fd array */
_
